/// <reference types="react" />
export interface BillingDetailsProps {
    billTo?: string;
    address?: Partial<Address>;
    projectAbb?: string;
    dueDate?: string;
}
interface Address {
    addressLine: string;
    city: string;
    state: string;
    postalCode: string;
}
export declare const BillingDetails: ({ billTo, address: { addressLine, city, state, postalCode }, projectAbb, dueDate, }: BillingDetailsProps) => JSX.Element;
export {};
