"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BillingDetails = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var renderer_1 = require("@react-pdf/renderer");
var react_intl_1 = require("react-intl");
var messages_1 = require("../messages");
var styles_1 = require("../styles");
var BillingDetails = function (_a) {
    var billTo = _a.billTo, _b = _a.address, _c = _b === void 0 ? {} : _b, addressLine = _c.addressLine, city = _c.city, state = _c.state, postalCode = _c.postalCode, projectAbb = _a.projectAbb, dueDate = _a.dueDate;
    return ((0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.billingDetailsContainer] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.billToRow] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.billTo)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: billTo && billTo }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: addressLine && addressLine }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: city && state && postalCode && "".concat(city, ", ").concat(state, " ").concat(postalCode) })] })), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.projectIdDateRow] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.projectId)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: projectAbb && projectAbb })] }), (0, jsx_runtime_1.jsxs)(renderer_1.View, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.dueDate)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: dueDate && dueDate })] })] }))] })));
};
exports.BillingDetails = BillingDetails;
//# sourceMappingURL=billing-details.js.map