import { BillingDetailsProps } from "./components/billing-details";
import { LineItemsProps } from "./components/line-items";
interface GeneratePdfProps {
    path?: string;
    type: string;
    data: Data;
}
export interface Data extends BillingDetailsProps, LineItemsProps {
    projectAbb: string;
    dueDate: string;
    startDate: string;
    endDate: string;
    invoiceNumber: string;
    invoiceDate: string;
    ach: string;
    city: string;
    state: string;
    aba: number;
    accountNumber: number;
    swiftName: string;
    checkName: string;
    poBoxNum: number;
    poBoxCity: string;
    poBoxState: string;
    poBoxZip: number;
    billedBy1: string;
    billedBy2: string;
    billedByAddress: string;
    notes: string;
}
export declare const generateFile: ({ path, type, data }: GeneratePdfProps) => void;
export {};
