"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateFile = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var renderer_1 = __importDefault(require("@react-pdf/renderer"));
var pdf_template_1 = require("./components/pdf-template");
var gc_1 = require("./components/templates/gc");
var generateFile = function (_a) {
    var path = _a.path, type = _a.type, data = _a.data;
    var filename;
    switch (type) {
        case "GC":
            filename = "gc-template";
            break;
        default:
            filename = "template";
    }
    filename = "".concat(process.cwd(), "/").concat(filename, "-").concat(new Date().toISOString(), ".pdf");
    renderer_1.default.render((0, jsx_runtime_1.jsx)(pdf_template_1.PdfTemplate, { children: type === "GC" && (0, jsx_runtime_1.jsx)(gc_1.GCTemplate, __assign({}, data)) }), path ? path : filename);
};
exports.generateFile = generateFile;
//# sourceMappingURL=index.js.map