"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.messages = void 0;
exports.messages = {
    title: {
        id: "title",
        defaultMessage: "INVOICE",
    },
    timePeriod: {
        id: "timePeriod",
        defaultMessage: "TIME PERIOD:",
    },
    invoiceNumber: {
        id: "invoiceNumber",
        defaultMessage: "INVOICE NUMBER",
    },
    startEndDate: {
        id: "startEndDate",
        defaultMessage: "{startDate} - {endDate}",
    },
    invoiceDate: {
        id: "invoiceDate",
        defaultMessage: "INVOICE DATE",
    },
    notesUpdates: {
        id: "notesUpdates",
        defaultMessage: "Notes and Updates",
    },
    paymentInstructions: {
        id: "paymentInstructions",
        defaultMessage: "PAYMENT INSTRUCTIONS",
    },
    remitTo: {
        id: "remitTo",
        defaultMessage: "Please Remit to:",
    },
    ach: {
        id: "ach",
        defaultMessage: "ACH: {ach}",
    },
    cityState: {
        id: "cityState",
        defaultMessage: "{city}, {state}",
    },
    aba: {
        id: "aba",
        defaultMessage: "ABA: {aba}",
    },
    accountNumber: {
        id: "accountNumber",
        defaultMessage: "Acct No: {accountNumber}",
    },
    swiftAccountName: {
        id: "swiftAccountName",
        defaultMessage: "SWIFT Acct Name:",
    },
    byCheck: {
        id: "byCheck",
        defaultMessage: "By Check:",
    },
    poBoxNum: {
        id: "poBoxNum",
        defaultMessage: "PO Box {poBoxNum}",
    },
    poBoxCityStateZip: {
        id: "cityStateZip",
        defaultMessage: "{poBoxCity}, {poBoxState} {poBoxZip}",
    },
    billedBy: {
        id: "billedBy",
        defaultMessage: "INVOICE BILLED BY",
    },
    footer: {
        id: "footer",
        defaultMessage: "Please include the invoice number as the payment reference.",
    },
    billTo: {
        id: "billTo",
        defaultMessage: "BILL TO",
    },
    projectId: {
        id: "projectId",
        defaultMessage: "PROJECT ID",
    },
    dueDate: {
        id: "dueDate",
        defaultMessage: "DUE DATE",
    },
    description: {
        id: "description",
        defaultMessage: "Description",
    },
    generation: {
        id: "generation",
        defaultMessage: "Generation (KWh)",
    },
    rate: {
        id: "rate",
        defaultMessage: "Rate (per KWh)",
    },
    amountDue: {
        id: "amountDue",
        defaultMessage: "Amount Due ($)",
    },
    subtotal: {
        id: "subtotal",
        defaultMessage: "Subtotal",
    },
    salesTax: {
        id: "salesTax",
        defaultMessage: "Sales Tax (%)",
    },
    totalDue: {
        id: "totalDue",
        defaultMessage: "Total Due",
    },
};
//# sourceMappingURL=messages.js.map