export declare const theme: {
    typography: {
        title: {
            fontSize: string;
            height: string;
        };
        subtitle: {
            fontSize: string;
            fontWeight: string;
        };
    };
};
export declare const styles: {
    title: {
        fontSize: string;
        marginHorizontal: string;
        height: string;
    };
    subtitle: {
        fontSize: string;
        fontWeight: "semibold";
    };
    billingDetailsContainer: {
        flexDirection: "row";
        height: string;
    };
    billToRow: {
        flexBasis: string;
    };
    highlight: {
        color1: {
            color: string;
        };
        color: string;
    };
    projectIdDateRow: {
        flexGrow: number;
    };
    timeInvoiceContainer: {};
    timePeriodRow: {};
    invoiceNumberRow: {};
    invoiceDateRow: {
        flexGrow: number;
    };
    highlightLineContainer: {
        flexDirection: "row";
        height: string;
    };
    highlightLine: {
        flexGrow: number;
        backgroundColor: string;
        justifyContent: "center";
    };
    notes: {
        marginLeft: string;
    };
    highlightLineText: {
        marginLeft: string;
        fontSize: string;
    };
    lineItemsContainer: {
        flexDirection: "row";
        marginTop: string;
    };
    lineItemsRow: {
        flexGrow: number;
        flexDirection: "column";
        height: string;
    };
    rowItemContainer: {
        flexDirection: "row";
        alignItems: "center";
        minHeight: string;
    };
    rowItem1: {
        marginLeft: string;
        flexBasis: string;
    };
    rowItem2: {
        flexBasis: string;
        alignItems: "flex-end";
    };
    rowItem3: {
        flexGrow: number;
        marginRight: string;
        alignItems: "flex-end";
    };
    totalsContainer: {
        marginLeft: string;
        marginTop: string;
    };
    totalsRowContainer: {
        flexDirection: "row";
        fontSize: string;
    };
    totalsRowItem2: {
        flexGrow: number;
        textAlign: "right";
        marginRight: string;
    };
    paymentInvoiceContainer: {
        flexDirection: "row";
        marginTop: string;
    };
    paymentRow: {
        flexBasis: string;
    };
    billedByRow: {
        flexBasis: string;
    };
    footer: {
        marginHorizontal: string;
        fontSize: string;
        marginVertical: string;
    };
    lightGrayBackground: {
        backgroundColor: string;
    };
};
